import React from 'react';
import { Col, Row } from 'antd';

export default React.forwardRef((props, ref) => {
  const { data = {} } = props;
  console.log(data);

  return (
    <div
      ref={ref}
      style={{
        background: 'rgba(0,0,0,0.8)',
        color: '#fff',
        padding: '1em',
        borderRadius: '4px',
        width: '320px',
      }}
    >
      <div style={{ textAlign: 'right' }}>X</div>
      <Row gutter={16}>
        <Col span={8}>农机名称</Col>
        <Col span={16}>{data.machineryName || ''}</Col>
      </Row>
      <Row gutter={16}>
        <Col span={8}>设备编号</Col>
        <Col span={16}>{data.deviceNo || ''}</Col>
      </Row>
      <Row gutter={16}>
        <Col span={8}>设备类型</Col>
        <Col span={16}>{data.deviceType === 'shensong' ? '深松' : '飞防'}</Col>
      </Row>
      <Row gutter={16}>
        <Col span={8}>当前状态</Col>
        <Col span={16}>{data.onlineStatus === 1 ? '在线' : '下线'}</Col>
      </Row>
      <Row gutter={16}>
        <Col span={8}>位置信息</Col>
        <Col span={16}>{data.loc || ''}</Col>
      </Row>
    </div>
  );
});
